src/Entity/Archive.php
<?php

namespace App\Entity;

use App\Repository\ArchiveRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\DBAL\Types\Types;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: ArchiveRepository::class)]
class Archive
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\ManyToOne(targetEntity: Society::class)]
    #[ORM\JoinColumn(nullable: false)]
    private ?Society $Society = null;

    #[ORM\ManyToMany(targetEntity: Adress::class)]
    private Collection $adresses;

    public function __construct()
    {
        $this->adresses = new ArrayCollection();
    }

    #[ORM\Column(type: Types::DATETIME_MUTABLE)]
    private ?\DateTimeInterface $UpdatedAt = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getSociety(): ?Society
    {
        return $this->Society;
    }

    public function setSociety(?Society $Society): self
    {
        $this->Society = $Society;

        return $this;
    }

    public function getUpdatedAt(): ?\DateTimeInterface
    {
        return $this->UpdatedAt;
    }

    public function setUpdatedAt(\DateTimeInterface $UpdatedAt): self
    {
        $this->UpdatedAt = $UpdatedAt;

        return $this;
    }

    public function getAdresses(): Collection
    {
        return $this->adresses;
    }

    public function setAdresses($adresses): self
    {
        $this->adresses = $adresses;

        return $this;
    }

    public function addAdress(Adress $adress): self
    {
        if (!$this->adresses->contains($adress)) {
            $this->adresses[] = $adress;
        }

        return $this;
    }

    public function removeAdress(Adress $adress): self
    {
        $this->adresses->removeElement($adress);

        return $this;
    }
}

src/Form/ArchiveType.php
<?php

namespace App\Form;

use App\Entity\Archive;
use App\Entity\Society;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\DateTimeType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ArchiveType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options): void
    {
        $builder
            ->add('UpdatedAt', DateTimeType::class)
            ->add('Society', EntityType::class, [
                'class' => Society::class
                ])
        ;
    }

    public function configureOptions(OptionsResolver $resolver): void
    {
        $resolver->setDefaults([
            'data_class' => Archive::class,
        ]);
    }
}

src/Controller/ArchiveController.php
<?php

namespace App\Controller;

use App\Entity\Archive;
use App\Form\ArchiveType;
use App\Repository\ArchiveRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

#[Route('/archive')]
class ArchiveController extends AbstractController
{
    #[Route('/', name: 'app_archive_index', methods: ['GET'])]
    public function index(ArchiveRepository $archiveRepository): Response
    {
        return $this->render('archive/index.html.twig', [
            'archives' => $archiveRepository->findAll(),
        ]);
    }

    #[Route('/new', name: 'app_archive_new', methods: ['GET', 'POST'])]
    public function new(Request $request, ArchiveRepository $archiveRepository): Response
    {
        $archive = new Archive();
        $form = $this->createForm(ArchiveType::class, $archive);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            // Pas opti
            $archive->setAdresses($archive->getSociety()->getAdresses());
            $archiveRepository->save($archive, true);

            return $this->redirectToRoute('app_archive_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('archive/new.html.twig', [
            'archive' => $archive,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_archive_show', methods: ['GET'])]
    public function show(Archive $archive): Response
    {
        return $this->render('archive/show.html.twig', [
            'archive' => $archive,
        ]);
    }

    #[Route('/{id}/edit', name: 'app_archive_edit', methods: ['GET', 'POST'])]
    public function edit(Request $request, Archive $archive, ArchiveRepository $archiveRepository): Response
    {
        $form = $this->createForm(ArchiveType::class, $archive);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            // Pas opti
            $archive->setAdresses($archive->getSociety()->getAdresses());
            $archiveRepository->save($archive, true);

            return $this->redirectToRoute('app_archive_index', [], Response::HTTP_SEE_OTHER);
        }

        return $this->renderForm('archive/edit.html.twig', [
            'archive' => $archive,
            'form' => $form,
        ]);
    }

    #[Route('/{id}', name: 'app_archive_delete', methods: ['POST'])]
    public function delete(Request $request, Archive $archive, ArchiveRepository $archiveRepository): Response
    {
        if ($this->isCsrfTokenValid('delete'.$archive->getId(), $request->request->get('_token'))) {
            $archiveRepository->remove($archive, true);
        }

        return $this->redirectToRoute('app_archive_index', [], Response::HTTP_SEE_OTHER);
    }
}

templates/archive/_delete_form.html.twig
<form method="post" action="{{ path('app_archive_delete', {'id': archive.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ archive.id) }}">
    <button class="btn">Delete</button>
</form>

templates/archive/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
<button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/archive/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Archive{% endblock %}

{% block body %}
    <h1>Edit Archive</h1>

    {{ include('archive/_form.html.twig', {'button_label': 'Update'}) }}

    <a href="{{ path('app_archive_index') }}">back to list</a>

    {{ include('archive/_delete_form.html.twig') }}
{% endblock %}

templates/archive/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Archive index{% endblock %}

{% block body %}
    <h1>Archive index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>UpdatedAt</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for archive in archives %}
            <tr>
                <td>{{ archive.id }}</td>
                <td>{{ archive.UpdatedAt ? archive.UpdatedAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ archive.society }}</td>
                <td>
                    <a href="{{ path('app_archive_show', {'id': archive.id}) }}">show</a>
                    <a href="{{ path('app_archive_edit', {'id': archive.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="3">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_archive_new') }}">Create new</a>
{% endblock %}

templates/archive/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Archive{% endblock %}

{% block body %}
    <h1>Create new Archive</h1>

    {{ include('archive/_form.html.twig') }}

    <a href="{{ path('app_archive_index') }}">back to list</a>
{% endblock %}

templates/archive/show.html.twig
{% extends 'base.html.twig' %}

{% block title %}Archive{% endblock %}

{% block body %}
    <h1>Archive</h1>

    <table class="table">
        <tbody>
            <tr>
                <th>Id</th>
                <td>{{ archive.id }}</td>
            </tr>
            <tr>
                <th>UpdatedAt</th>
                <td>{{ archive.UpdatedAt ? archive.UpdatedAt|date('Y-m-d H:i:s') : '' }}</td>
            </tr>
        </tbody>
    </table>

    <a href="{{ path('app_archive_index') }}">back to list</a>

    <a href="{{ path('app_archive_edit', {'id': archive.id}) }}">edit</a>

    {{ include('archive/_delete_form.html.twig') }}
{% endblock %}